package cn.ist.pf_backend.util;

package ..deTemp.1729736132842;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.time.LocalDate;
import java.time.Period;
import java.time.format.DateTimeFormatter;
import java.util.Date;

public class StringUtil {
  public static String split(String sourceStr, String split, Integer index) {
    String[] parts = sourceStr.split("/");
    return parts[1];
  }
  
  public static String convertBirthDateToAge(String birthDateStr) {
    DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyyMMdd");
    LocalDate birthDate = LocalDate.parse(birthDateStr, formatter);
    LocalDate currentDate = LocalDate.now();
    int age = Period.between(birthDate, currentDate).getYears();
    return String.valueOf(age);
  }
  
  public static String convertDateStr(String dateStr) throws ParseException {
    SimpleDateFormat inputFormat = new SimpleDateFormat("yyyyMMdd'T'HHmmss");
    Date date = inputFormat.parse(dateStr);
    SimpleDateFormat outputFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    return outputFormat.format(date);
  }
  
  public static String convertDate(Date date) {
    SimpleDateFormat outputFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    return outputFormat.format(date);
  }
  
  public static String convertJustDate(String dateStr) {
    SimpleDateFormat inputFormat = new SimpleDateFormat("yyyyMMdd");
    SimpleDateFormat outputFormat = new SimpleDateFormat("yyyy-M-d");
    try {
      Date date = inputFormat.parse(dateStr);
      return outputFormat.format(date);
    } catch (ParseException e) {
      System.out.println("日期格式解析错误: " + e.getMessage());
      return "";
    } 
  }
}
